POPCOUNT(3)

NAME
popcount, popcountl, popcountll, popcount32, popcount64 - count number of bits set in a bit string

LIBRARY
libc

SYNOPSIS
#include <strings.h>
unsigned int
popcount(unsigned int value);
unsigned int
popcountl(unsigned long value);
unsigned int
popcountll(unsigned long long value);
#include <stdint.h>
unsigned int
popcount32(uint32_t value);
unsigned int
popcount64(uint64_t value);

DESCRIPTION
The popcount functions returns the number of bits set in value.

SEE ALSO
ffs(3)

HISTORY
The popcount(), popcountl(), popcountll(), popcount32(), and popcount64() functions appeared in NetBSD 6.0.